sasl(6)

APPLICATION
sasl - The SASL Application

DESCRIPTION

This section describes the SASL application which provides the following services:

    *   alarm_handler

    *   overload

    *   release_handler

The SASL application also includes error_logger event handlers for formatting SASL error and crash reports.

Error logger event handlers

The following error logger event handlers are defined in the SASL application.

    sasl_report_tty_h:
        Formats and writes supervisor report, crash report and progress report to stdio.

    sasl_report_file_h:
        Formats and writes supervisor report, crash report and progress report to a single file.

    error_logger_mf_h:
        This error logger writes all events sent to the error logger to disk. It installs the log_mf_h event handler in the error_logger process.

Configuration

The following configuration parameters are defined for the SASL application. Refer to application(3) for more information about configuration parameters:

    sasl_error_logger = Value <optional>:
        Value is one of:

            tty:
                Installs sasl_report_tty_h in the error logger. This is the default option.

            {file, FileName}:
                Installs sasl_report_file_h in the error logger. This makes all reports go to the file FileName. FileName is a string.

            false:
                No SASL error logger handler is installed.

    errlog_type = error | progress | all <optional>:
        Restricts the error logging performed by the specified sasl_error_logger to error reports, progress reports, or both. Default is all.

    error_logger_mf_dir = string() | false<optional>:
        Specifies in which directory the files are stored. If this parameter is undefined or false, the error_logger_mf_h is not installed.

    error_logger_mf_maxbytes = integer() <optional>:
        Specifies how large each individual file can be. If this parameter is undefined, the error_logger_mf_h is not installed.

    error_logger_mf_maxfiles = 0 < integer() < 256 <optional>:
        Specifies how many files are used. If this parameter is undefined, the error_logger_mf_h is not installed.

    overload_max_intensity = float() > 0 <optional>:
        Specifies the maximum intensity for overload. Default is 0.8.

    overload_weight = float() > 0 <optional>:
        Specifies the overload weight. Default is 0.1.

    start_prg = string()<optional>:
        Specifies which program should be used when restarting the system. Default is $OTP_ROOT/bin/start.

    masters = [atom()] <optional>:
        Specifies which nodes this node uses to read/write release information. This parameter is ignored if the client_directory parameter is not set.

    client_directory = string() <optional>:
        This parameter specifies the client directory at the master nodes. Refer to Release Handling in the SASL User's Guide for more information. This parameter is ignored if the masters parameter is not set.

    static_emulator = true | false <optional>:
        Indicates if the Erlang emulator is statically installed. A node with a static emulator cannot switch dynamically to a new emulator as the executable files are written into memory statically. This parameter is ignored if the masters and client_directory parameters are not set.

    releases_dir = string()<optional>:
        Indicates where the releases directory is located. The release handler writes all its files to this directory. If this parameter is not set, the OS environment parameter RELDIR is used. By default, this is $OTP_ROOT/releases.

    utc_log = true | false <optional>:
        If set to true, all dates in textual log outputs are displayed in Universal Coordinated Time with the string UTC appended.

SNMP MIBs

The following MIBs are defined in SASL:

    OTP-REG:
        This MIB contains the top-level OTP registration objects, used by all other MIBs.

    OTP-TC:
        This MIB contains the general Textual Conventions, which can be used by any other MIB.

    OTP-MIB:
        This MIB contains objects for instrumentation of the Erlang nodes, the Erlang machines and the applications in the system.

The MIBs are stored in the mibs directory. All MIBs are defined in SNMPv2 SMI syntax. SNMPv1 versions of the mibs are delivered in the mibs/v1 directory.

The compiled MIBs are located under priv/mibs, and the generated .hrl files under the include directory. To compile a MIB that IMPORTS the OTP-MIB, give the option {il, ["sasl/priv/mibs"]} to the MIB compiler.

The only MIB with Managed Objects is OTP-MIB. If it is to be used in a system, it must be loaded into an agent with a call to otp_mib:init(Agent), where Agent is the Pid or registered name of an SNMP agent. Use otp_mib:stop(Agent) to unload the MIB. The implementation of this MIB uses Mnesia to store a cache with data needed, which means that Mnesia must run if the implementation of the MIB should be performed.

See Also

alarm_handler(3), error_logger(3), log_mf_h(3), overload(3), release_handler(3), systools(3), appup(4), rel(4), relup(4), script(4), application(3), snmp(6)

AUTHOR
Martin Bjorklund - support@erlang.ericsson.se